## west-chamber 20100405

=== debian/changelog ===
west-chamber (20100405-2) unstable; urgency=low

  * Add west-chamber-dkms package: use dkms to automatically build modules
  * Fix description typos (Closes: #620752)
  * Bump Standards-Version to 3.9.2: Nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 23 May 2011 16:57:16 +0800

west-chamber (20100405-1) unstable; urgency=low

  * Initial release (Closes: #606990)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 18 Jan 2011 19:56:11 +0800
