## west-chamber 20100405%2Bsvn20111107.r124

=== debian/changelog ===
west-chamber (20100405+svn20111107.r124-8ubuntu0.1) bionic; urgency=medium

  * Adjust for changed signature of ip_route_me_harder (LP: #1912783)
    - 04_port_to_linux_5.10.patch

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Mon, 01 Feb 2021 16:01:54 +0100

west-chamber (20100405+svn20111107.r124-8) unstable; urgency=low

  * west-chamber-dkms.conf: fix the clean rule after module build
    (Closes: #810694)
  * Add 03_port_to_linux_4.10.patch: build against linux version >= 4.10
  * Bump Standards-Version to 4.0.0: Nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 17 Sep 2017 01:44:53 +0800

west-chamber (20100405+svn20111107.r124-7) unstable; urgency=low

  * Reproducible builds. (Closes: #778358)
    - debian/rules: Modify the tarball creation.
    - Thanks to Chris Lamb <lamby@debian.org>

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 10 Feb 2016 11:41:04 +0800

west-chamber (20100405+svn20111107.r124-6) unstable; urgency=low

  * Add debian/patches/02_port_to_xtables_2.10.patch:
    - Fix FTBFS due to xtables 2.10.
    - It also fixes the not clean after build because it actually
      builds failed (Closes: #810694)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 28 Jan 2016 01:55:38 +0800

west-chamber (20100405+svn20111107.r124-5) unstable; urgency=low

  * Clean up unnecessary variables in debian/west-chamber-dkms.postrm

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 22 Nov 2014 12:59:31 +0800

west-chamber (20100405+svn20111107.r124-4) unstable; urgency=low

  * west-chamber-dkms: remove dangling symlink. (Closes: #769776)
  * Bump Standards-Version to 3.9.6: Nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 19 Nov 2014 05:59:57 +0800

west-chamber (20100405+svn20111107.r124-3) unstable; urgency=medium

  * Move to xtables 2.4.
  * Bump Standards-Version to 3.9.4: Nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 17 Mar 2014 14:59:54 +0800

west-chamber (20100405+svn20111107.r124-2) unstable; urgency=low

  * Don't depends on obsolete linux-header packages (Closes: #728269)
  * Bump debhelper compat to 9
  * Bump Standards-Version to 3.9.4: Nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 02 Nov 2013 02:10:26 +0800

west-chamber (20100405+svn20111107.r124-1) unstable; urgency=low

  * New upstream release
  * Fix dkms.conf for build error
  * Add 01_fix_OOPS.patch to fix kernel oops when using west-chamber
  * Bump Standards-Version to 3.9.3: Nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 05 May 2012 03:34:10 +0800

west-chamber (20100405+svn20110916.r119-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright to comply latest format.
  * Drop debian/patches/001-dont_build_unnecessary_part.patch: upstreamed
  * Drop debian/patches/002-port_to_xtables-1.32.patch: upstreamed
  * Install more docs
  * Refresh README.Debian for examples
  * Update dkms package to fix FTBFS (Closes: #651782)
    - Don't use static links. Build the links dynamically.
  * debian/rules: make get-orig-source for generating source tarball from svn

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 16 Dec 2011 02:39:21 +0800
