## west-chamber 20100405+svn20110916.r119

=== debian/control ===
Source: west-chamber
Section: admin
Priority: extra
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 7.0.50~), bzip2, libtool, autoconf, automake,
               pkg-config, iptables-dev (>= 1.4.3), autotools-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/scholarzhang/

Package: west-chamber-common
Architecture: any
Depends: xtables-addons-common, ${shlibs:Depends}, ${misc:Depends}
Description: iptable extension for bypassing content filtering firewall
 West-chamber is an iptable extension named after the famous Chinese ancient
 fiction - Romance of the West Chamber. It is based on the idea of
 T. Ptacek's paper in 1998 which allows users go through some
 content-filtered firewall without 3rd-party proxies.
 .
 This package contains the extension for iptables. It needs corresponding
 kernel modules to work properly.

Package: west-chamber-source
Architecture: all
Depends: module-assistant, debhelper (>= 7), make, bzip2,
         iptables-dev (>= 1.4.3), xtables-addons-source (>= 1.32),
         ${misc:Depends}
Description: iptable extension for bypassing content filtering firewall (module source)
 West-chamber is an iptable extension named after the famous Chinese ancient
 fiction - Romance of the West Chamber. It is based on the idea of
 T. Ptacek's paper in 1998 which allows users go through some
 content-filtered firewall without 3rd-party proxies.
 .
 This package provides the source code for the west-chamber kernel modules.
 The west-chamber-common package is also required in order to make use of these
 modules. Kernel source or headers are required to compile these modules.

Package: west-chamber-dkms
Architecture: all
Depends: make, dkms, bzip2,
         linux-headers-generic | linux-headers,
         iptables-dev (>= 1.4.3), xtables-addons-dkms (>= 1.35),
         ${misc:Depends}
Recommends: west-chamber-common
Description: iptable extension for bypassing content filtering firewall (dkms)
 West-chamber is an iptable extension named after the famous Chinese ancient
 fiction - Romance of the West Chamber. It is based on the idea of
 T. Ptacek's paper in 1998 which allows users go through some
 content-filtered firewall without 3rd-party proxies.
 .
 The dkms package will automatically compile the driver for your current
 kernel version.
