## west-chamber 20100405+svn20111107.r124

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,20 @@
 Section: admin
 Priority: extra
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), bzip2, libtool, autoconf, automake,
-               pkg-config, iptables-dev (>= 1.4.3), autotools-dev
-Standards-Version: 3.9.2
+Build-Depends: autoconf,
+               automake,
+               autotools-dev,
+               bzip2,
+               debhelper (>= 9),
+               iptables-dev (>= 1.4.3),
+               libtool,
+               pkg-config
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/scholarzhang/
 
 Package: west-chamber-common
 Architecture: any
-Depends: xtables-addons-common, ${shlibs:Depends}, ${misc:Depends}
+Depends: xtables-addons-common, ${misc:Depends}, ${shlibs:Depends}
 Description: iptable extension for bypassing content filtering firewall
  West-chamber is an iptable extension named after the famous Chinese ancient
  fiction - Romance of the West Chamber. It is based on the idea of
@@ -21,8 +27,12 @@
 
 Package: west-chamber-source
 Architecture: all
-Depends: module-assistant, debhelper (>= 7), make, bzip2,
-         iptables-dev (>= 1.4.3), xtables-addons-source (>= 1.32),
+Depends: bzip2,
+         debhelper (>= 7),
+         iptables-dev (>= 1.4.3),
+         make,
+         module-assistant,
+         xtables-addons-source (>= 1.32),
          ${misc:Depends}
 Description: iptable extension for bypassing content filtering firewall (module source)
  West-chamber is an iptable extension named after the famous Chinese ancient
@@ -36,11 +46,14 @@
 
 Package: west-chamber-dkms
 Architecture: all
-Depends: make, dkms, bzip2,
-         linux-headers-generic | linux-headers,
-         iptables-dev (>= 1.4.3), xtables-addons-dkms (>= 1.35),
+Depends: bzip2,
+         dkms,
+         iptables-dev (>= 1.4.3),
+         make,
+         xtables-addons-dkms (>= 1.35),
          ${misc:Depends}
-Recommends: west-chamber-common
+Recommends: linux-headers-686-pae | linux-headers-amd64 | linux-headers-generic,
+            west-chamber-common
 Description: iptable extension for bypassing content filtering firewall (dkms)
  West-chamber is an iptable extension named after the famous Chinese ancient
  fiction - Romance of the West Chamber. It is based on the idea of
