=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
+DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
+DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
+SVN_URL = http://scholarzhang.googlecode.com/svn/trunk/west-chamber
 
 # package version
 pver:=$(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //' | sed -e 's/-[^-]*$$//')
@@ -148,7 +153,7 @@
 	   extensions/?build \
 	   debian/$(psource)/usr/src/modules/$(sname)/extensions
 	cp Makefile.am Makefile.extra Makefile.iptrules.in Makefile.mans.in \
-	   autogen.sh configure.ac mconfig xtables-addons.8.in \
+	   autogen.sh configure.ac mconfig west-chamber.8.in \
 	   debian/$(psource)/usr/src/modules/$(sname)
 	# Copy the needed debian/ pieces to the proper location
 	cp debian/*modules.in* \
@@ -199,7 +204,7 @@
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
-	dh_installchangelogs Changelog -i
+	dh_installchangelogs ChangeLog -i
 	dh_installdocs -i
 	dh_installexamples -i
 	dh_install -i
@@ -224,7 +229,7 @@
 	dh_installcron -s
 	dh_installman -s
 	dh_installinfo -s
-	dh_installchangelogs Changelog -s
+	dh_installchangelogs ChangeLog -s
 	dh_strip -s
 	dh_link -s
 	dh_compress -s
@@ -236,4 +241,9 @@
 	dh_builddeb -s
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure binary-modules kdist kdist_configure kdist_image kdist_clean
+
+get-orig-source:
+	set -e; if echo $(DEB_VERSION) | grep -c "svn"; \
+	then \
+		svn_version=`echo $(DEB_VERSION) | sed -e 's/^.*svn\([0-9]*\)*\.\(.*\)-.*$$/\2/g'`; \
+	else \
